Class | Needle::Lifecycle::Proxy
In: | lib/needle/lifecycle/proxy.rb
Parent: | Object

A proxy class to aid in deferred instantiation of service points. This is used primarily by the "deferred" service models.

### Methods

inspect method_missing new

### Public Class methods

new( proc_obj=nil, *args, &callback )

Create a new proxy object that wraps the object returned by either the `proc_obj` or `callback`. (Only one of `proc_obj` or `callback` should be specified.)

### Public Instance methods

inspect()
method_missing( sym, *args, &block )

Attempts to invoke the given message on the service. If the service has not yet been instantiated, it will be instantiated and stored.

[Validate]